Index: /other-projects/is-sheet-music-encore/trunk/Makefile
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33339)
+++ /other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33340)
@@ -2,4 +2,12 @@
 	cd java-gen-corpus; javac *.java;
 
+#**********
+#HI-RES
+#**********
+hi-res-download-all:
+	./COMPX520-DOWNLOADER-PNG-10PAGES-hi-res.sh java-gen-corpus/gen-50-MU-hathiValidIDList.txt MU
+	./COMPX520-DOWNLOADER-PNG-10PAGES-hi-res.sh java-gen-corpus/gen-50-BK-hathiValidIDList.txt BK
+	./COMPX520-DOWNLOADER-PNG-10PAGES-hi-res.sh java-gen-corpus/gen-50-SE-hathiValidIDList.txt SE
+	./COMPX520-DOWNLOADER-PNG-10PAGES-hi-res.sh java-gen-corpus/gen-50-MP-hathiValidIDList.txt MP
 
 ######################################
@@ -7,5 +15,12 @@
 #Prior to running the scripts below
 ######################################
-
+#Run all DOWNLOAD
+#NNEEDDD TOO FIIX
+gen-500-all:
+	make gen-500-MU
+	make gen-500-BK
+	make gen-500-SE
+	make gen-500-MP
+	make gen-500-MX
 
 #MUSIC, Including Sheet music
@@ -46,6 +61,6 @@
 	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-500-MX-hathiFullIDList.txt MX
 	cd java-gen-corpus; java javaGenValidIDList gen-500-MX-hathiFullIDList.txt 500 gen-500-MX-hathiValidIDList.txt
+	./COMPX520-DOWNLOADER-PNG-10PAGES.sh java-gen-corpus/gen-500-MX-hathiValidIDList.txt
 
-	./COMPX520-DOWNLOADER-PNG-10PAGES.sh java-gen-corpus/gen-500-MX-hathiValidIDList.txt
 
 #***********
@@ -147,6 +162,6 @@
 	cd image-identification-terminal; less log-houghlinesP-refined-MU.txt
 
-run-houghlineP-refined-corpus:
-	cd image-identification-terminal; cd log-all; rm *.txt
+run-houghlinesP-refined-corpus:
+	#cd image-identification-terminal; cd log-all; rm *.txt
         #Compile
 	cd image-identification-terminal; javac javaAccuracyCalculator.java
Index: /other-projects/is-sheet-music-encore/trunk/image-identification-development/src/Main.java
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/image-identification-development/src/Main.java	(revision 33339)
+++ /other-projects/is-sheet-music-encore/trunk/image-identification-development/src/Main.java	(revision 33340)
@@ -144,15 +144,7 @@
             return "Start: " + _p1 + " End: " + _p2;
         }
-        /*
-        //CompareToOverride
-        //Compares start point y co ordinates of input PointArray
-        //With this. start point y co ordinate
-        @Override
-        public double compareTo(StartAndEndPoint comparePointArray){
-            Point comparePoint = (comparePointArray.getP1());
-            return (this.getP1().y) - (comparePoint.y);
-        }
-        */
-    }
+
+    }
+
     public static <T> ArrayList<T> removeDuplicates(ArrayList<T> list) {
         //DIRECTLY COPIED//DIRECTLY COPIED//DIRECTLY COPIED//DIRECTLY COPIED//DIRECTLY COPIED//DIRECTLY COPIED
@@ -211,4 +203,5 @@
     }
     public static Boolean lineComparison(double baseLineS, double compareLineS, double compareLineE ){
+        //System.out.print("Comparing baseLineS: " + baseLineS + " with compareLineE: " + compareLineE + " and compareLineS: " + compareLineS);
         if(baseLineS < compareLineE && baseLineS > compareLineS){
             return true;
@@ -231,4 +224,5 @@
             Boolean consistent = false;
             if (variance <= CLUSTER_DISTANCE_MAX && variance > CLUSTER_DISTANCE_MIN) {
+
                 for (int i = 0; i < parseArray.length - 1; i++) {
                     //System.out.println(i);
@@ -658,6 +652,5 @@
                             //If it SD is less than 5 then it is considered to be a cluster of lines.
                             if(ClusterCheck(tempPtArray)){
-                                //System.out.println("tempArray PT: "+tempArray[0] + " , " + tempArray[1] + " , " + tempArray[2] + " , " + tempArray[3]);
-                                //System.out.println("tempArray SD: " + StandardDeviation(tempArray));
+                                //System.out.println("tempArray PT: "+tempPtArray[0] + " , " + tempPtArray[1] + " , " + tempPtArray[2] + " , " + tempPtArray[3]);
                                 //Store array
                                 clusterPtArray.add(tempPtArray);
@@ -671,5 +664,5 @@
                                     //break
                                     Thread.sleep(2000);
-                                    System.out.println("End of closeLinePts -> break , i = " + i+ " closeLineYpos size= " + closeLinePts.size());
+                                    //System.out.println("End of closeLinePts -> break , i = " + i+ " closeLineYpos size= " + closeLinePts.size());
                                     break;
                                 }
@@ -678,12 +671,12 @@
                     }
                 }
-                /*
-                System.out.println("Cluster Coordinates: ");
-                for(double[] items : clusterArray){
-                    for(int i = 0; i <items.length; i++){
-                        System.out.println("ITEMS: "+ items[i]);
-                    }
-                }
-                */
+
+                /*System.out.println("Cluster Coordinates: ");
+                for(StartAndEndPoint[] items : clusterPtArray){
+                    for(int i = 0; i <clusterPtArray.size(); i++){
+                        System.out.println("ITEMS: "+ items);
+                    }
+                }*/
+
                 //Setup Drawing clusters found.
                 //For every pt given the input array
@@ -723,4 +716,22 @@
     }
 
+    //SUPER CLASSIFIER FUNCTIONS
+    private static boolean LineCountOrCluster(int lineCount, ArrayList<StartAndEndPoint> linePointsArray, Mat clustersFoundRGB){
+        ArrayList lineClusterResult = ClassifierLineClusterPt(linePointsArray, clustersFoundRGB);
+
+
+        //String test = ClassifierLineClusterPt(linePointsArray, clustersFoundRGB).get(0).toString();
+        if(ClassifierLineCount(lineCount) == true){
+            System.out.println("LineCount classifier Successful: " +   '\t' +"LinesFound: " + lineCount);
+            return true;
+        }
+        else if(lineClusterResult.get(0).toString() == "true"){
+            System.out.println("LineCluster classifier Successful: " + '\t' + "LinesFound: " + lineCount + '\t' + "ClustersFound: " + lineClusterResult.get(1));
+
+            return  false;
+        }
+        return false;
+    }
+
     //MAIN
     public static void main(String[] args) {
@@ -735,14 +746,17 @@
             Mat edgesDetectedRGB = new Mat();
             Mat clustersFoundRGB = new Mat();
-            String directory = "/Scratch/cpb16/is-sheet-music-encore/download-images/MU/";
+            String directory = "/Scratch/cpb16/is-sheet-music-encore/lowres-download-images/MU/";
             //!!!!!!!!!!!!!!!!!!!!!!!!!!!NOT!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
             //mdp.39015097852365-2.png 176 lines    Contents page.
             //mdp.39015097852555-3.png 76  lines
-            //String default_file = directory+"SheetMusic/coo.31924062612282-9.png";
-            //String default_file ="TestImages/NotNot/mdp.39015080972303-3.png";
+            //!!!!!!!!!!!!!!!!!!!!!!!!!!!NOTNOT!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+            //coo.31924062612282-9.png 8   lines
+            //String default_file = directory+"NotSheetMusic/coo.31924062612282-9.png";
+            //String default_file = directory+"NotSheetMusic/mdp.39015097852365-2.png";
+            String default_file ="TestImages/NotNot/mdp.39015080972303-3.png";
 
 
             //System.out.println(default_file);
-            String default_file = "TestImages/NotSheetMusic01.png";
+            //String default_file = "TestImages/NotSheetMusic01.png";
             //String default_file = "TestImages/NotSheetMusic02.png";
             //String default_file = "TestImages/SheetMusic01.png";
@@ -805,8 +819,10 @@
 
 
-            System.out.println("LINE COUNT RESULT:   " +  ClassifierLineCount(horizontalLineCount) + '\t' +"LinesFound: " + horizontalLineCount); //COUNT OF LINES CLASSIFICATION
+            //System.out.println("LINE COUNT RESULT:   " +  ClassifierLineCount(horizontalLineCount) + '\t' +"LinesFound: " + horizontalLineCount); //COUNT OF LINES CLASSIFICATION
             //System.out.println("LINE CLUSTER RESULT: " +  ClassifierLineClusterOLD(toBeClassifiedImg).get(0) + '\t' + "LinesFound: " + ClassifierLineClusterOLD(toBeClassifiedImg).get(1) + '\t' + "ClustersFound: " + ClassifierLineClusterOLD(toBeClassifiedImg).get(2));
-            System.out.println("NEW CLUSTER RESULTS: " +  ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(0) + '\t' + "LinesFound: " + horizontalLineCount + '\t' + "ClustersFound: " + ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(1));
+            //System.out.println("NEW CLUSTER RESULTS: " +  ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(0) + '\t' + "LinesFound: " + horizontalLineCount + '\t' + "ClustersFound: " + ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(1));
             //System.out.println(ClassifierLineClusterPt(pointArrayList, clustersFoundRGB));
+
+            System.out.println("TEST: " + LineCountOrCluster(horizontalLineCount, pointArrayList, clustersFoundRGB));
 
             // Wait and Exit
Index: /other-projects/is-sheet-music-encore/trunk/image-identification-terminal/Makefile
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/image-identification-terminal/Makefile	(revision 33339)
+++ /other-projects/is-sheet-music-encore/trunk/image-identification-terminal/Makefile	(revision 33340)
@@ -18,3 +18,15 @@
 	rm results.txt
 
+testrun-classifier-cluster-single:
+	javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaImageClassifier.java;
+	./runClassifier.sh TestImages/test-coo.31924062612282-9.png cluster test.png -single
+	echo "Displaying javaImageClassifier output"
+        #Display output of javaImageClassifier
+	less log.txt
+        #Calculate the Accuracy of the classifier
+	java javaAccuracyCalculator log.txt houghlinesP results.txt
+        #Display output
+	less results.txt
+	rm log.txt
+	rm results.txt
 
Index: /other-projects/is-sheet-music-encore/trunk/image-identification-terminal/javaAccuracyCalculator.java
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/image-identification-terminal/javaAccuracyCalculator.java	(revision 33339)
+++ /other-projects/is-sheet-music-encore/trunk/image-identification-terminal/javaAccuracyCalculator.java	(revision 33340)
@@ -70,4 +70,6 @@
 				
 				//Correctly identified SheetMusic as SheetMusic
+				
+				//TruthAccuracyRate
 				if(sheetMusicCount != 0){
 					trueAccuracyRate = ((float)truePositive/(float)sheetMusicCount)*(float)100;
@@ -77,4 +79,5 @@
 				}
 				
+				//FalseAccuracyRate
 				if(notSheetMusicCount != 0){
 					//Amount of Correctly identified NotSheetSheetMusic as NotSheetMusic
@@ -85,12 +88,17 @@
 				}
 				
+				//Overall accuaracy
 				if(notSheetMusicCount != 0 && sheetMusicCount != 0) {
 					overallAccuracyRate = (truePositive + trueNegative)/(float)(sheetMusicCount+notSheetMusicCount)*(float)100;
 				}
-				else if (sheetMusicCount = 0) {
-					overallAccuracyRate = falseAccuracyRate/2;
+				else if (sheetMusicCount == 0) {
+					overallAccuracyRate = falseAccuracyRate;
+				}
+				else if(notSheetMusicCount == 0) {
+					overallAccuracyRate = trueAccuracyRate;
 				}
 				else {
-					overallAccuracyRate = trueAccuracyRate/2;
+					overallAccuracyRate = -1;
+					System.out.println("There is nothing to compare");
 				}
 				
